Name:		nforenum
Version:	4.0.0
Release:	%mkrel 2
Summary:	A format correcter and linter for the NFO language
Group:		Development/Other
License:	GPLv2+
URL:		http://users.tt-forums.net/dalestan/nforenum/
Source:		http://gb.binaries.openttd.org/binaries/extra/%{name}/%{version}/%{name}-%{version}-source.tar.gz
# Patch from PLD Linux
Patch0:		nforenum-flags.patch
# Patch from upstream: http://hg.openttdcoop.org/nforenum/rev/a556674805ba
Patch1:		nforenum-fix_install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	boost-devel
BuildRequires:	upx

%description
nforenum takes as input any number of files that contain something that vaguely
resembles valid NFO, and produces, to the best of its ability, encodable NFO
files, one for each input file.

It also detects and warns about some common mistakes made in NFO coding. All
errors that will cause TTDPatch to reject the GRF during the initialization or
activation phases should be detected; if any are not, it is a bug and should be
reported as such.

Sprites that are too short, not of the correct type (real/pseudo/&c.), too
long, or otherwise not in agreement with their data or the preceding sprites
are all detected. 

%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1
%patch1 -p1

%build
%make \
	CXXFLAGS="%{optflags}" \
	LDOPT="%{ldflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc bundle/docs/*.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Sat Aug 21 2010 Jani Välimaa <wally@mandriva.org> 4.0.0-2mdv2011.0
+ Revision: 571672
- fix file list
- add P0 from PLD to fix flags and flags passing order
- use correct build time flags
- add P1 from upstream to fix install
- add missing BR

* Sun Aug 15 2010 Jani Välimaa <wally@mandriva.org> 4.0.0-1mdv2011.0
+ Revision: 569942
- new version 4.0.0

* Mon Aug 09 2010 Jani Välimaa <wally@mandriva.org> 4.0.0-0.RC1.1mdv2011.0
+ Revision: 568189
- new version 4.0.0 RC1
- install man file

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 3.4.6-r2309.1mdv2010.1
+ Revision: 534606
- import nforenum


